package com.andengine.blackdog.main;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.webkit.WebView;

import com.andengine.blackdog.R;

public class Web extends Activity {
	private String url = null;
	WebView browser;
	Intent intent = null;

	/** Called when the activity is first created. */
	@Override
	public void onCreate(Bundle savedInstanceState) {

		super.onCreate(savedInstanceState);
		setContentView(R.layout.web);

		browser = (WebView) findViewById(R.id.webkit);

		Intent in = getIntent();
		Bundle extras = in.getExtras();

		String targetUrl = extras.getString("target");

		url = targetUrl;
		Log.v("url1: ", String.valueOf(url));

		browser.getSettings()
				.setUserAgentString(
						"Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1A543a Safari/419.3");

		browser.loadUrl(url);
	}
}